cht電腦資訊gcin已解決問題
adm Find login register

1.4.5_pre5 anthy 的問題

guest
1subject: 1.4.5_pre5 anthy 的問題Promote 0 Bookmark 02009-04-20quote  

在編譯 gcin 1.4.5_pre5時,如果沒有安裝anthy時會造成編譯錯誤,錯誤訊息如下

         i686-pc-linux-gnu-gcc  -o gcin gcin.o eve.o util.o gcin-conf.o gcin-settings.o locale.o gcin-icon.o gcin-switch.o gcin-exec-script.o gcin1.so gcin2.so gtk_bug_fix.so pho-play.o cache.o win-pho.o pho.o pho-util.o pho-sym.o table-update.o pho-dbg.o gtab.o win-gtab.o gtab-util.o gtab-list.o gtab-buf.o gcin-common.o phrase.o IC.o tray.o eggtrayicon.o tsin.o tsin-util.o win0.o win1.o tsin-parse.o gcb.o IMdkit/lib/libXimd.a im-srv/im-srv.a -lXtst -Wl,-O1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lz -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lz -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lz -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lz -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lz -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -L/usr/X11R6/lib                                                                                                         
eve.o: In function `gcin_reset':                                                                                             
eve.c:(.text+0x161): undefined reference to `gcin_anthy_reset'                                                               
eve.o: In function `gcin_get_preedit':                                                                                       
eve.c:(.text+0x20a): undefined reference to `anthy_get_preedit'   

 

在1.4.5_pre3時沒有這個問題…感謝咧… :)

本人已不在此站活動

joined: 2007-09-19
posted: 4946
promoted: 325
bookmarked: 206
歸隱山林
2subject: Promote 0 Bookmark 02009-04-20quote  

你確定有安裝 anthy(含 devel 的部份)嗎?

因為我上一次編譯就是出現這種錯誤。經查,忘了安裝 anthy。:p


eliu

joined: 2007-08-09
posted: 11468
promoted: 617
bookmarked: 187
新竹, 台灣
3subject: Promote 0 Bookmark 02009-04-20quote  
試試 pre6
guest
4subject: Promote 0 Bookmark 02009-04-20quote  

pre6果然解解決,感謝... Cool

guest
5subject: 正式版又發生了Promote 0 Bookmark 02009-04-28quote  
今天發現1.4.5版釋出了,但是又發生沒有安裝anthy的情況下會編譯錯誤 eve.o: In function `update_active_in_win_geom': eve.c:(.text+0x321): undefined reference to `get_win_anthy_geom' collect2: ld 回傳 1 麻煩一下大大了
guest
7subject: Promote 0 Bookmark 02009-04-29quote  
感謝 caleb 大大提供patch,趕快來去試試 ^^y

cht電腦資訊gcin已解決問題
adm Find login register
views:14058